Bug 15979 - Use Font Awesome icons subscription deletion confirmation dialog
Summary: Use Font Awesome icons subscription deletion confirmation dialog
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/serials/subscription-de...
Keywords:
Depends on: 15785
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 16:16 UTC by Owen Leonard
Modified: 2017-06-14 22:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15979 - Use Font Awesome icons subscription deletion confirmation dialog (2.62 KB, patch)
2016-03-04 16:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15979 - Use Font Awesome icons subscription deletion confirmation dialog (2.64 KB, patch)
2016-03-08 20:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 15979 - Use Font Awesome icons subscription deletion confirmation dialog (2.71 KB, patch)
2016-03-09 11:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-04 16:16:22 UTC
If you try to delete a subscription which has not expired or which has linked issues or items you are presented with a confirmation dialog. This dialog should use Font Awesome icons.
Comment 1 Owen Leonard 2016-03-04 16:22:03 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-03-08 20:33:53 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-09 11:01:34 UTC
Created attachment 48841 [details] [review]
Bug 15979 - Use Font Awesome icons subscription deletion confirmation dialog

When deleting a subscription which has not expired or which has linked
issues or items, a dialog asks for confirmation. This patch updates the
dialog to use Font Awesome icons.

Other minor change: Corrected capitalization in dialog heading.

To test, apply the patch and go to Serials.

- Locate a subscription which can be deleted and which has not expired,
  has linked items, or has linked issues.
- View the detail page for that subscription.
- Choose "Delete subscription" from the "Edit" menu.
- Verify that the confirmation dialog is correctly styled.
- Verify that the "No, don't delete" button works correctly.
- Verify that the "Yes, delete" button deletes the subscription.

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-09 16:00:56 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!